tbb::interface5::internal::hash_map_base::enable_segment_failsafe Struct Reference

Exception safety helper. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::internal::hash_map_base::enable_segment_failsafe:
Collaboration diagram for tbb::interface5::internal::hash_map_base::enable_segment_failsafe:

## Public Member Functions

| enable_segment_failsafe (segments_table_t &table, segment_index_t k)
| ~enable_segment_failsafe ()
Public Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Public Attributes

segment_ptr_t * | my_segment_ptr

## Detailed Description

Exception safety helper.

Definition at line 180 of file concurrent_hash_map.h.

## Constructor & Destructor Documentation

## enable_segment_failsafe()

tbb::interface5::internal::hash_map_base::enable_segment_failsafe::enable_segment_failsafe | ( | segments_table_t & | table,
|  | segment_index_t | k
| ) |  |

inline

Definition at line 182 of file concurrent_hash_map.h.

: my_segment_ptr(&table[k]) {}
tbb::interface5::internal::hash_map_base::enable_segment_failsafe::my_segment_ptr
segment_ptr_t * my_segment_ptr
Definition: concurrent_hash_map.h:181

## ~enable_segment_failsafe()

tbb::interface5::internal::hash_map_base::enable_segment_failsafe::~enable_segment_failsafe | ( |  | ) |

inline

Definition at line 183 of file concurrent_hash_map.h.

{
if( my_segment_ptr ) *my_segment_ptr = 0; // indicate no allocation in progress
}

## Member Data Documentation

## my_segment_ptr

segment_ptr_t* tbb::interface5::internal::hash_map_base::enable_segment_failsafe::my_segment_ptr

Definition at line 181 of file concurrent_hash_map.h.

Referenced by tbb::interface5::internal::hash_map_base::enable_segment().

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.